%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 58dd06602bed70936ece233bd8c32f2a

Summary: Graphical Directory Statistics for Used Disk Space
Name: kdirstat
Version: 2.5.3
Release: %{momorel}m%{?dist}
License: GPL and LGPL
URL: http://kdirstat.sourceforge.net/
Group: Applications/System
%NoSource 0 http://kdirstat.sourceforge.net/download/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
KDirStat (KDE Directory Statistics) is a utility program that sums up
disk usage for directory trees - very much like the Unix 'du' command.
It can also help you clean up used space.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category System \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/kdirstat.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* CREDITS ChangeLog INSTALL README TODO
%{_bindir}/kdirstat
%{_bindir}/kdirstat-cache-writer
%{_datadir}/applications/kde/kdirstat.desktop
%{_datadir}/apps/kconf_update/fix_move_to_trash_bin.pl
%{_datadir}/apps/kconf_update/kdirstat.upd
%{_datadir}/apps/kdirstat
%{_datadir}/doc/HTML/*/kdirstat
%{_datadir}/icons/*/*/*/kdirstat.png
%{_datadir}/locale/*/LC_MESSAGES/kdirstat.mo

%changelog
* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.5.3-1m)
- initial package for Momonga Linux
